package eu.mhsl.minenet.minigames.instance.game.stateless.types.spleef;

import eu.mhsl.minenet.minigames.instance.game.stateless.StatelessGame;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.ConfigManager;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.GameFactory;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.Option;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.restriction.RestrictionHandler;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.restriction.common.MinimalPlayeramountGameRestriction;
import eu.mhsl.minenet.minigames.message.component.TranslatedComponent;
import net.minestom.server.item.Material;

import java.util.List;
import java.util.Map;

public class SpleefFactory implements GameFactory {
    @Override
    public TranslatedComponent name() {
        return TranslatedComponent.byId("game_Spleef#name");
    }

//    @Override
//    public RestrictionHandler globalRestrictions() {
//        return new RestrictionHandler()
//                .addRestriction(new MinimalPlayeramountGameRestriction(2));
//    }

    @Override
    public Material symbol() {
        return Material.DIAMOND_SHOVEL;
    }

    @Override
    public TranslatedComponent description() {
        return TranslatedComponent.byId("game_Spleef#description");
    }

    @Override
    public StatelessGame manufacture(Map<String, Option<?>> configuration) throws Exception {
        return new Spleef();
    }
}
